# GimpUi.ScrolledPreview

    from gi.repository import GimpUi

    scrolled_preview = GimpUi.ScrolledPreview()

A widget providing a GimpUi.Preview enhanced by scrolling capabilities.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.Preview
            - GimpUi.ScrolledPreview

## Methods

- GimpUi.ScrolledPreview.freeze
- GimpUi.ScrolledPreview.get_adjustments
- GimpUi.ScrolledPreview.set_policy
- GimpUi.ScrolledPreview.set_position
- GimpUi.ScrolledPreview.thaw

## Fields

- GimpUi.ScrolledPreview->parent_instance